version: "3.9"

services:
    dead_net:
        image: joseluisq/static-web-server:2
        restart: always
        environment:
          # Note: those envs are customizable but also optional
          - SERVER_PORT=8885
          - SERVER_ROOT=/public
        volumes:
          - ./build:/public
        networks:
          - caddy
        labels:
          caddy.address: "https://network.dead.guru"
          caddy.tls: "assada.ua@gmail.com"
          caddy.targetport: 8885
networks:
  caddy:
    external:
      name: assada-services